require 'uu/os/rest/dto'

module UU
  module Request
      module Request

        class RequestSetAttributes < UU::OS::REST::DTO

          # The new name of the request. When nil is set, the name is not modified.
          attr_accessor :name

          # The new code of the request. When nil is set, the code is not modified. The code
          # must be unique in territory, otherwise the setAttributes command fails.
          attr_accessor :code

          # The new description of the request. When nil is set, the description is not modified.
          attr_accessor :description

          def name 
            attributes[:name]
          end

          def name=(val) 
            attributes[:name] = val
          end

          def code 
            attributes[:code]
          end

          def code=(val) 
            attributes[:code] = val
          end

          def description 
            attributes[:description]
          end

          def description=(val) 
            attributes[:description] = val
          end

        end

      end
    end

end